import React from 'react';
export interface DPanelProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dClassNamePrefix: string;
    dType: 'success' | 'warning' | 'error' | 'info' | undefined;
    dIcon: React.ReactNode | undefined;
    dTitle: React.ReactNode;
    dDescription: React.ReactNode | undefined;
    dActions: React.ReactNode[] | undefined;
    onClose: (() => void) | undefined;
}
export declare const DPanel: React.ForwardRefExoticComponent<DPanelProps & React.RefAttributes<HTMLDivElement>>;
