import type { DUploadFile } from './Upload';
import React from 'react';
export interface DPictureListProps extends Omit<React.HTMLAttributes<HTMLUListElement>, 'children'> {
    dFileList: DUploadFile[];
    dDefaultActions?: {
        preview?: (file: DUploadFile) => void;
        download?: (file: DUploadFile) => void;
    };
    dActions: (file: DUploadFile, index: number) => React.ReactNode[];
    onRemove: (file: DUploadFile) => void;
}
export declare function DPictureList(props: DPictureListProps): JSX.Element | null;
